Virus and Security

In order to access the Ferris network you will need to have an up-to-date antivirus/security software package installed on your computer. Although several other antivirus are acceptable, we recommend:

Windows

Note: Ferris will no longer be supporting the use of computers running Windows XP since there will be no further security patches released for the operating system.

 
Mac

If you get an error message stating your software is not accepted please contact TAC. We should be able to add it to the approved list. We also ask that all students run a virus scan at least once a week. If you have any questions, please contact us via one of the ways listed in the Contact TAC area.  

 

 

Last updated: 05-20-2014